Subject: bug#57082: 29.0.50; emacs-news-view-mode breakage

From: Juri Linkov <[email-masked]>
Date: Wed, 10 Aug 2022 10:39:22 +0300

>>> It would be nicer if the color of the button depended on the outline's color,
>>> e.g. blue for the top-level blue outline face, etc.
>> I guess that would require using suitable images rather than emojis.
>
> Images would be nice; Emacs already has some for the Customize UI that
> could be reused.

Instead of preparing a lot of different images, maybe it would be
possible to specify a background/foreground color for SVG images.

OTOH, maybe easier would be just to use Unicode arrow characters
instead of emojis?

> For the NEWS file though (and especially programming modes). I still think
> it'd be great to put the buttons in the fringe. That way the buttons would
> never disrupt the contents of the file, e.g. by changing how the
> indentation looks.

Agreed, the clickable buttons in the fringe would be great,
and it's easy to implement.

> However, describe-bindings probably wants the buttons in the body, so this
> would be yet another option, which adds complexity/maintenance burden...

describe-bindings could override the default when necessary.